[tw] - fixed groffer scripte security problem (#136314)

This commit is contained in:
Thomas Woerner 2004-10-19 11:08:03 +00:00
parent 99d8df5dc8
commit cd80198fd5
2 changed files with 34 additions and 1 deletions

View File

@ -0,0 +1,28 @@
--- groff-1.18.1.1/contrib/groffer/groffer.sh.tempfile 2004-06-15 03:44:50.000000000 +0200
+++ groff-1.18.1.1/contrib/groffer/groffer.sh 2004-10-19 13:04:35.704244526 +0200
@@ -3228,18 +3228,13 @@
do
if is_not_empty "$d"; then
if obj d is_dir && obj d is_writable; then
- _TMP_DIR="${d}/${_PROGRAM_NAME}${_PROCESS_ID}";
- if obj _TMP_DIR is_dir; then
- rm -f "${_TMP_DIR}"/*;
- break;
- else
- mkdir "${_TMP_DIR}";
- if obj _TMP_DIR is_not_dir; then
- _TMP_DIR='';
- continue;
- fi;
- break;
- fi;
+ _TMP_DIR="`mktemp -d ${d}/${_PROGRAM_NAME}.XXXXXX`";
+ if test $? = 0; then
+ break;
+ else
+ _TMP_DIR='';
+ continue;
+ fi
fi;
if obj _TMP_DIR is_not_writable; then
_TMP_DIR='';

View File

@ -3,7 +3,7 @@
Summary: A document formatting system.
Name: groff
Version: 1.18.1.1
Release: 2
Release: 3
License: GPL
Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/gnu/groff/groff-%{version}.tar.gz
@ -27,6 +27,7 @@ Patch16: groff-1.18.1-devutf8.patch
Patch17: groff-1.18.1.1-revision.patch
Patch18: groff-1.18.1.1-do_char.patch
Patch19: groff-1.18.1.1-grn.patch
Patch20: groff-1.18.1.1-tempfile.patch
URL: ftp://ftp.gnu.org/gnu/groff/
Requires: mktemp
@ -91,6 +92,7 @@ System display.
%patch17 -p1 -b .revision
%patch18 -p1 -b .do_char
%patch19 -p1 -b .grn
%patch20 -p1 -b .tempfile
%build
PATH=$PATH:%{_prefix}/X11R6/bin
@ -196,6 +198,9 @@ fi
%endif
%changelog
* Tue Oct 19 2004 Thomas Woerner <twoerner@redhat.com> 1.18.1.1-3
- fixed groffer scripte security problem (#136314)
* Thu Sep 16 2004 Thomas Woerner <twoerner@redhat.com> 1.18.1.1-2
- fixed DoCharacter calls in xditview (#110812)
- fixed fclose called once too often (#132690): thanks to Ulrich Drepper for